Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I ran into an apparently known issue with the native C compiler on OS X 10.8 not building Ruby gems correctly, so I installed GCC as suggested.

How do I have rvm rebuild all of the already-installed gems?

I tried rvm update --rubygems 1.9.3, which seems like it should work (at least, according to the documentation), but I get the rather cryptic error message:

ERROR: rvm update has been removed. See 'rvm get' and rvm 'rubygems' CLI API instead

I have no idea what this means, and I have not been able to figure out an incantation for rvm (with get, or any other command) that recompiles my gems.

share|improve this question

1 Answer 1

You can rebuild all your gems with:

gem pristine --all

Assuming there is no issue with your Ruby or Rubygems installation and only with the gems, you shouldn't need to use rvm at all. If however you need to upgrade your Rubygems, you can try this command to upgrade it to the latest version:

rvm rubygems latest
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.